Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Invité
    Invité(e)

    Par défaut Erreur "Interfaces.ppu"

    Bonsoir,

    J'ai la version 2.0.0 et testé la version 2.0.2 et je rencontre le même problème:
    Lorsque je veux ajouter un simple paquet (Lazreport) j'obtiens un message d'erreur dès que la compilation de l'EDI commence.
    J'ai tenté de recréer l'EDI avec les paramètres standard, mais l'erreur est toujours présente.
    Je tourne avec Windows 10 64bits

    Nom : Erreur Lazarus.jpg
Affichages : 57
Taille : 252,1 Ko

    Si quelqu'un a une solution, je le remercie d'avance.
    Dernière modification par Alcatîz ; 13/07/2019 à 11h31. Motif: préfixe

  2. #2
    Membre confirmé

    Profil pro
    Inscrit en
    juillet 2009
    Messages
    132
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juillet 2009
    Messages : 132
    Points : 599
    Points
    599

    Par défaut

    Bonjour Kevin,

    Est-ce que tu as essayé d'aller dans les options de création de l'EDI et de cocher "nettoyer les fichiers communs" ?
    Par-delà nos conceptions du bien et du mal se trouve une prairie. Je te rencontrerai là-bas.

  3. #3
    Membre régulier Avatar de devEric69
    Homme Profil pro
    Dév. Lazarus & C++, Php - Windows & Ubuntu
    Inscrit en
    novembre 2012
    Messages
    52
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Rhône (Rhône Alpes)

    Informations professionnelles :
    Activité : Dév. Lazarus & C++, Php - Windows & Ubuntu
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2012
    Messages : 52
    Points : 91
    Points
    91

    Par défaut

    Bonjour,

    Kevin, même si le conseil avisé de circular17 ne te permettrait malheureusement pas de recompiler, commence toujours par cocher "nettoyer les fichiers communs" ou "Clean common files" (dans "Configure 'Build Lazarus' - j'ai une interface en anglais): c'est le meilleur moyen que les anciens sous Lazarus - dont je ne fais pas partie - conseillent, pour éviter au maximum les soucis, quand on installe beaucoup de paquets.

  4. #4
    Invité
    Invité(e)

    Par défaut

    Bonsoir.

    Merci pour les réponses. J'avais essayé le nettoyage des fichiers communs ainsi que tout nettoyer, mais rien n'y fait.
    J'ai constamment cette erreur de fichier interfaces.ppu dès que la compilation de l'EDI commence.

  5. #5
    Membre émérite
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 087
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 087
    Points : 2 854
    Points
    2 854
    Billets dans le blog
    2

    Par défaut

    Salut
    vu que tu tourne sous Windows 64, par rapport au message d'erreur tu essayes d'installer un paquet pour Win 32 donc normal que Lazarus ne trouve pas le ppu.

    Va dans le menu Outils --> Configurer la creation de Lazarus et assures toi que "Processeur cible" soit vide ou sur x86_64 dans ton cas.
    N'oublie pas de sélectionner "nettoyer les fichiers communs" comme suggérer par Circular et DevEric69

    Au pire, si cela ne fonctionne pas, toujours dans cette fenêtre choisis le profil de creation "Nettoyer + tout creer"

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  6. #6
    Invité
    Invité(e)

    Par défaut

    Salut.

    Merci pour ta réponse, malheureusement j'ai toujours ce message. C'est à n'y rien comprendre.
    Je peux créer une fenêtre, ajouter un composant et tout compiler sans soucis, mais dés que je veux toucher à l'EDI ça plante.

    [EDIT] Je rajoute un screen de la configuration du compilateur


    Nom : Erreur1.png
Affichages : 22
Taille : 94,2 Ko

Discussions similaires

  1. Erreur interface graphique
    Par jinpol dans le forum Ubuntu
    Réponses: 8
    Dernier message: 05/11/2008, 09h11
  2. Message d'erreur interface graphique swing
    Par oclone dans le forum AWT/Swing
    Réponses: 2
    Dernier message: 16/01/2008, 13h44
  3. message d'erreur avec la crétion d'interface
    Par ulysse031 dans le forum AWT/Swing
    Réponses: 16
    Dernier message: 01/04/2007, 19h47
  4. [Débutant(e)]Erreur 'class' or 'interface' expect
    Par chevy dans le forum Général Java
    Réponses: 7
    Dernier message: 30/03/2005, 08h13
  5. [LDAP][Interface Winldap.h] Erreur d'execution
    Par -=Spoon=- dans le forum Autres SGBD
    Réponses: 2
    Dernier message: 10/03/2005, 17h10

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo